import { ConnectedPositioningStrategy } from './connected-positioning-strategy';
import { PositionSettings, Size } from '../utilities';
export declare abstract class BaseFitPositionStrategy extends ConnectedPositioningStrategy {
    protected _initialSettings: PositionSettings;
    protected _initialSize: Size;
    position(contentElement: HTMLElement, size: Size, document?: Document, initialCall?: boolean): void;
    protected shouldFitHorizontal(innerRect: ClientRect, outerRect: ClientRect): boolean;
    protected shouldFitVertical(innerRect: ClientRect, outerRect: ClientRect): boolean;
    protected abstract fitHorizontal(element: HTMLElement, settings: PositionSettings, innerRect: ClientRect, outerRect: ClientRect, minSize: Size): any;
    protected abstract fitVertical(element: HTMLElement, settings: PositionSettings, innerRect: ClientRect, outerRect: ClientRect, minSize: Size): any;
}
